xine-lib: xine-lib-1.2.12/include/xine/info_helper.h File Reference

xine-lib 1.2.12

Functions
info_helper.h File Reference
`#include <stdarg.h>`
`#include "xine_internal.h"`

Go to the source code of this file.

## Functions
void | _x_stream_info_set (xine_stream_t *stream, int info, int value)
void | _x_stream_info_reset (xine_stream_t *stream, int info)
void | _x_stream_info_public_reset (xine_stream_t *stream, int info)
uint32_t | _x_stream_info_get (xine_stream_t *stream, int info)
uint32_t | _x_stream_info_get_public (xine_stream_t *stream, int info)
void | _x_meta_info_set (xine_stream_t *stream, int info, const char *str)
void | _x_meta_info_set_utf8 (xine_stream_t *stream, int info, const char *str)
void | _x_meta_info_set_generic (xine_stream_t *stream, int info, const char *str, const char *enc)
void | _x_meta_info_set_multi (xine_stream_t *stream, int info,...) XINE_SENTINEL
void | _x_meta_info_n_set (xine_stream_t *stream, int info, const char *buf, int len)
void | _x_meta_info_reset (xine_stream_t *stream, int info)
void | _x_meta_info_public_reset (xine_stream_t *stream, int info)
const char * | _x_meta_info_get (xine_stream_t *stream, int info)
const char * | _x_meta_info_get_public (xine_stream_t *stream, int info)

## Function Documentation

## ◆ _x_meta_info_get()

const char * _x_meta_info_get | ( | xine_stream_t * | stream,
|  | int | info
| ) |  |

References xine_stream_private_st::meta_info, xine_stream_private_st::meta_lock, xine_stream_private_st::side_streams, xine_rwlock_rdlock, and xine_rwlock_unlock.

Referenced by audio_decoder_loop(), dts_decode_data(), http_plugin_read_metainf(), mad_decode_data(), parse_cluster(), and video_decoder_loop().

## ◆ _x_meta_info_get_public()

const char * _x_meta_info_get_public | ( | xine_stream_t * | stream,
|  | int | info
| ) |  |

References xine_stream_private_st::meta_info, xine_stream_private_st::meta_info_public, xine_stream_private_st::meta_lock, meta_valid(), NULL, xine_stream_private_st::side_streams, xine_rwlock_rdlock, xine_rwlock_unlock, and xine_rwlock_wrlock.

Referenced by xine_get_meta_info().

## ◆ _x_meta_info_n_set()

void _x_meta_info_n_set | ( | xine_stream_t * | stream,
|  | int | info,
|  | const char * | buf,
|  | int | len
| ) |  |

References _meta_info_set_encoding(), meta_valid(), NULL, and xine_stream_private_st::side_streams.

Referenced by id3v1_parse_tag(), and open_ra_file().

## ◆ _x_meta_info_public_reset()

void _x_meta_info_public_reset | ( | xine_stream_t * | stream,
|  | int | info
| ) |  |

References _x_freep(), xine_stream_private_st::meta_info, xine_stream_private_st::meta_info_public, xine_stream_private_st::meta_lock, meta_valid(), xine_stream_private_st::side_streams, xine_rwlock_unlock, and xine_rwlock_wrlock.

## ◆ _x_meta_info_reset()

void _x_meta_info_reset | ( | xine_stream_t * | stream,
|  | int | info
| ) |  |

References _meta_info_set_utf8(), NULL, and xine_stream_private_st::side_streams.

Referenced by vdr_execute_rpc_command().

## ◆ _x_meta_info_set()

void _x_meta_info_set | ( | xine_stream_t * | stream,
|  | int | info,
|  | const char * | str
| ) |  |

References _meta_info_set_encoding(), NULL, and xine_stream_private_st::side_streams.

Referenced by asf_read_header(), decode_annodex_header(), decode_theora_header(), demux_asf_send_headers_common(), demux_iff_send_headers(), demux_mod_send_headers(), demux_nsf_send_chunk(), demux_nsf_send_headers(), demux_qt_send_headers(), dvb_plugin_open(), dvd_plugin_open(), ff_audio_init_codec(), http_plugin_handshake(), http_plugin_read_metainf(), id3v1_parse_tag(), id3v22_interp_frame(), id3v23_interp_frame(), id3v24_interp_frame(), input_avformat_get_instance(), input_avio_get_instance(), meta_info_assign(), open_flac_file(), open_mve_file(), spudec_decode_data(), switch_channel(), test_make(), update_chapter_display(), update_title_name(), and wavpack_decode_data().

## ◆ _x_meta_info_set_generic()

void _x_meta_info_set_generic | ( | xine_stream_t * | stream,
|  | int | info,
|  | const char * | str,
|  | const char * | enc
| ) |  |

References _meta_info_set_encoding(), and xine_stream_private_st::side_streams.

Referenced by id3v22_interp_frame(), id3v23_interp_frame(), and id3v24_interp_frame().

## ◆ _x_meta_info_set_multi()

void _x_meta_info_set_multi | ( | xine_stream_t * | stream,
|  | int | info,
|  |  | ...
| ) |  |

References xine_stream_private_st::meta_info, meta_info_chomp(), xine_stream_private_st::meta_info_public, xine_stream_private_st::meta_lock, meta_valid(), NULL, xine_stream_private_st::side_streams, xine_rwlock_unlock, and xine_rwlock_wrlock.

## ◆ _x_meta_info_set_utf8()

void _x_meta_info_set_utf8 | ( | xine_stream_t * | stream,
|  | int | info,
|  | const char * | str
| ) |  |

References _meta_info_set_utf8(), and xine_stream_private_st::side_streams.

Referenced by _cdda_cdindex(), _decode(), _draw_image(), _jpeg_decode_data(), _png_decode_data(), a52_meta_info_set(), audio_decoder_loop(), bitplane_decode_data(), cdda_plugin_open(), demux_mpgaudio_send_headers(), dts_decode_data(), dvaudio_decode_data(), faad_meta_info_set(), ff_init_mpeg12_mode(), ff_video_open_plugin(), fooaudio_decode_data(), foovideo_decode_data(), frame_format_change(), get_auds_codec_name(), get_metadata(), get_vids_codec_name(), gsm610_decode_data(), hevc_decode_data(), init_codec(), lpcm_decode_data(), mad_decode_data(), mpc_decode_data(), mpeg2_video_decode_data(), nsf_decode_data(), open_flac_file(), open_internal(), open_plugin(), parse_cluster(), parse_info(), process_sequence_mpeg12_dependent_data(), qta_init_driver(), qtv_decode_data(), read_comments(), read_metadata(), remember_metainfo(), rgb_decode_data(), update_metadata(), vdpau_decoder_init(), vdpau_h264_alter_frame_render(), video_decoder_loop(), vpx_handle_header(), and yuv_decode_data().

## ◆ _x_stream_info_get()

uint32_t _x_stream_info_get | ( | xine_stream_t * | stream,
|  | int | info
| ) |  |

References xine_stream_private_st::info_lock, xine_stream_private_st::side_streams, xine_stream_private_st::stream_info, xine_rwlock_rdlock, and xine_rwlock_unlock.

Referenced by demux_aac_send_chunk(), demux_yuv_frames_send_chunk(), demux_yuv_frames_send_headers(), dxr3_flush(), ff_audio_init_codec(), init_video_codec(), mad_decode_data(), mpc_decode_data(), pvr_plugin_read_block(), switch_buf(), video_decoder_loop(), and xine_dvd_send_button_update().

## ◆ _x_stream_info_get_public()

uint32_t _x_stream_info_get_public | ( | xine_stream_t * | stream,
|  | int | info
| ) |  |

References xine_stream_private_st::info_lock, xine_stream_private_st::side_streams, xine_stream_private_st::stream_info, xine_rwlock_rdlock, and xine_rwlock_unlock.

Referenced by xine_get_param(), and xine_get_stream_info().

## ◆ _x_stream_info_public_reset()

void _x_stream_info_public_reset | ( | xine_stream_t * | stream,
|  | int | info
| ) |  |

## ◆ _x_stream_info_reset()

void _x_stream_info_reset | ( | xine_stream_t * | stream,
|  | int | info
| ) |  |

References xine_stream_private_st::info_lock, info_valid(), xine_stream_private_st::side_streams, xine_stream_private_st::stream_info, xine_rwlock_unlock, and xine_rwlock_wrlock.

Referenced by vdr_execute_rpc_command().

## ◆ _x_stream_info_set()

void _x_stream_info_set | ( | xine_stream_t * | stream,
|  | int | info,
|  | int | value
| ) |  |

References info_valid(), xine_stream_private_st::side_streams, xine_rwlock_unlock, xine_rwlock_wrlock, XINE_STREAM_INFO_HAS_AUDIO, XINE_STREAM_INFO_HAS_CHAPTERS, and XINE_STREAM_INFO_HAS_VIDEO.

Referenced by _decode(), _draw_image(), _image_decode_data(), _jpeg_decode_data(), _png_decode_data(), a52_meta_info_set(), asf_read_header(), asf_send_audio_header(), asf_send_video_header(), bitplane_decode_data(), bluray_plugin_open(), change_output_format(), decode_audio_header(), decode_dshow_header(), decode_flac_header(), decode_opus_header(), decode_speex_header(), decode_theora_header(), decode_video_header(), decode_vorbis_header(), demux_ac3_send_headers(), demux_aiff_send_headers(), demux_asf_send_headers_common(), demux_aud_send_headers(), demux_avformat_send_headers(), demux_cdda_send_headers(), demux_dts_send_headers(), demux_eawve_send_headers(), demux_film_send_headers(), demux_flac_send_headers(), demux_fli_send_headers(), demux_flv_send_headers(), demux_fourxm_send_headers(), demux_iff_send_headers(), demux_image_send_headers(), demux_ipmovie_send_headers(), demux_ivf_send_headers(), demux_matroska_send_headers(), demux_mng_send_headers(), demux_mod_send_headers(), demux_mpeg_block_send_headers(), demux_mpeg_elem_send_headers(), demux_mpeg_pes_send_headers(), demux_mpeg_send_headers(), demux_mpgaudio_send_headers(), demux_mve_send_headers(), demux_nsf_send_headers(), demux_nsv_send_headers(), demux_ogg_send_headers(), demux_playlist_send_headers(), demux_pva_send_headers(), demux_qt_send_chunk(), demux_qt_send_headers(), demux_ra_send_headers(), demux_raw_dv_send_headers(), demux_real_send_headers(), demux_roq_send_headers(), demux_shn_send_headers(), demux_slave_send_headers(), demux_smjpeg_send_headers(), demux_snd_send_headers(), demux_sputext_send_headers(), demux_str_send_headers(), demux_ts_dynamic_pmt_clean(), demux_ts_send_headers(), demux_tta_send_headers(), demux_vc1_es_send_headers(), demux_vmd_send_headers(), demux_voc_send_headers(), demux_vox_send_headers(), demux_vqa_send_headers(), demux_wav_send_headers(), demux_yuv4mpeg2_send_headers(), dts_decode_data(), dvd_class_get_instance(), faad_open_dec(), ff_audio_init_codec(), ff_audio_open_codec(), ff_decode_data(), ff_handle_buffer(), foovideo_decode_data(), frame_format_change(), get_duration(), get_frame_duration(), get_stream_length(), handle_events(), handle_libbluray_event(), image_decode_data(), init_codec(), init_video_codec(), lpcm_decode_data(), mad_decode_data(), mpc_decode_data(), mpeg2_find_sequence_header(), mpeg2_video_decode_data(), open_idcin_file(), open_internal(), open_mpc_file(), open_plugin(), open_ra_file(), open_radio_capture_device(), open_video_capture_device(), open_wv_file(), parse_amf(), parse_chunk(), process_sequence_mpeg12_dependent_data(), process_userdata(), qta_decode_data(), qtv_decode_data(), real_parse_headers(), realdec_decode_data(), remember_metainfo(), rgb_decode_data(), send_headers_audio(), send_headers_video(), set_stream_info(), speex_decode_data(), update_metadata(), update_stream_info(), update_title_display(), update_title_info(), v4l2_input_setup_video_streaming(), vdpau_decoder_init(), vdpau_h264_alter_frame_render(), vdpau_h264_decode_data(), vdpau_vc1_decode_data(), vo_frame_draw(), vorbis_decode_data(), vpx_handle_header(), w32a_decode_data(), w32v_decode_data(), xine_set_param(), and yuv_decode_data().